### Class

# Atspi EventListener

#### Description [src]

    class Atspi.EventListener : GObject.Object
    {
      AtspiEventListenerCB callback,
      void* user_data,
      GDestroyNotify cb_destroyed
    }

A generic interface implemented by objects for the receipt of event notifications.

A generic interface implemented by objects for the receipt of event notifications. atspi-event-listener is the interface via which clients of the atspi-registry receive notification of changes to an application’s user interface and content.

#### Ancestors

- GObject

#### Constructors

###### atspi_event_listener_new

Creates a new `AtspiEventListener` associated with a specified `callback`.

###### atspi_event_listener_new_simple

Creates a new `AtspiEventListener` associated with a specified `callback`.

#### Functions

###### atspi_event_listener_deregister_from_callback

Deregisters an `AtspiEventListenerCB` from the registry, for a specific event type.

###### atspi_event_listener_deregister_no_data

Deregisters an `AtspiEventListenerSimpleCB` from the registry, for a specific event type.

###### atspi_event_listener_register_from_callback

Registers an `AtspiEventListenerCB` against an `event_type`.

###### atspi_event_listener_register_from_callback_full

No description available.

###### atspi_event_listener_register_from_callback_with_app

No description available.

###### atspi_event_listener_register_no_data

Registers an `AtspiEventListenetSimpleCB`. The method is similar to

# atspi_event_listener_register, but `callback` takes no user_data.

#### Instance methods

###### atspi_event_listener_deregister

Deregisters an `AtspiEventListener` from the registry, for a specific event type.

###### atspi_event_listener_register

Adds an in-process callback function to an existing `AtspiEventListener`.

###### atspi_event_listener_register_full

Adds an in-process callback function to an existing `AtspiEventListener`.

###### atspi_event_listener_register_with_app

Adds an in-process callback function to an existing `AtspiEventListener`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AtspiEventListenerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.